Page MenuHomePhabricator

Move PropertySuggester-Python to gerrit
Closed, ResolvedPublic

Description

In addition to the PropertySuggester extension, we also have a python script/tool we use when updating the property pairs database table that PropertySuggester uses.

https://github.com/Wikidata-lib/PropertySuggester-Python

We run the tool on labs, but then use the results of the script to update the production table.

I think this should be moved to gerrit also, so we don't have code scattered as many places and can maintain this more easily.

Event Timeline

aude created this task.May 31 2017, 1:24 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 31 2017, 1:24 PM
Lydia_Pintscher triaged this task as Medium priority.Jun 11 2017, 5:17 PM
Lydia_Pintscher moved this task from incoming to ready to go on the Wikidata board.
Restricted Application added a subscriber: PokestarFan. · View Herald TranscriptAug 1 2017, 10:47 PM

@hashar: Hey, sorry for the hassle, I talked to the PM and we decided to go with wikibase/property-suggester-scripts. Would that work for you? Thanks.

hashar closed this task as Resolved.Jan 16 2018, 8:50 PM
$ git clone --mirror https://github.com/Wikidata-lib/PropertySuggester-Python
Cloning into bare repository 'PropertySuggester-Python.git'...
...
$ cd PropertySuggester-Python
$ git remote add gerrit ssh://gerrit.wikimedia.org:29418/wikibase/property-suggester-scripts
$ git push gerrit --force --mirror
 * [new branch]      classifyingProperties -> classifyingProperties
 * [new branch]      deploy -> deploy
 * [new branch]      entitysuggester -> entitysuggester
 * [new branch]      evaluateClassifyingProperties -> evaluateClassifyingProperties
 * [new branch]      evaluator -> evaluator
 * [new branch]      master -> master
 * [new branch]      propertyImporter -> propertyImporter
 * [new branch]      rank_properties_by_count_of_other_properties -> rank_properties_by_count_of_other_properties
 * [new branch]      valuesuggester -> valuesuggester
 * [new branch]      valuesuggestions -> valuesuggestions
 * [new branch]      refs/pull/1/head -> refs/pull/1/head
 * [new branch]      refs/pull/10/head -> refs/pull/10/head
 * [new branch]      refs/pull/11/head -> refs/pull/11/head
 * [new branch]      refs/pull/12/head -> refs/pull/12/head
 * [new branch]      refs/pull/13/head -> refs/pull/13/head
 * [new branch]      refs/pull/14/head -> refs/pull/14/head
 * [new branch]      refs/pull/15/head -> refs/pull/15/head
 * [new branch]      refs/pull/16/head -> refs/pull/16/head
 * [new branch]      refs/pull/17/head -> refs/pull/17/head
 * [new branch]      refs/pull/18/head -> refs/pull/18/head
 * [new branch]      refs/pull/19/head -> refs/pull/19/head
 * [new branch]      refs/pull/2/head -> refs/pull/2/head
 * [new branch]      refs/pull/20/head -> refs/pull/20/head
 * [new branch]      refs/pull/21/head -> refs/pull/21/head
 * [new branch]      refs/pull/22/head -> refs/pull/22/head
 * [new branch]      refs/pull/23/head -> refs/pull/23/head
 * [new branch]      refs/pull/24/head -> refs/pull/24/head
 * [new branch]      refs/pull/25/head -> refs/pull/25/head
 * [new branch]      refs/pull/26/head -> refs/pull/26/head
 * [new branch]      refs/pull/27/head -> refs/pull/27/head
 * [new branch]      refs/pull/28/head -> refs/pull/28/head
 * [new branch]      refs/pull/29/head -> refs/pull/29/head
 * [new branch]      refs/pull/3/head -> refs/pull/3/head
 * [new branch]      refs/pull/30/head -> refs/pull/30/head
 * [new branch]      refs/pull/31/head -> refs/pull/31/head
 * [new branch]      refs/pull/4/head -> refs/pull/4/head
 * [new branch]      refs/pull/4/merge -> refs/pull/4/merge
 * [new branch]      refs/pull/5/head -> refs/pull/5/head
 * [new branch]      refs/pull/6/head -> refs/pull/6/head
 * [new branch]      refs/pull/7/head -> refs/pull/7/head
 * [new branch]      refs/pull/7/merge -> refs/pull/7/merge
 * [new branch]      refs/pull/8/head -> refs/pull/8/head
 * [new branch]      refs/pull/9/head -> refs/pull/9/head
 * [new tag]         1.2 -> 1.2
 * [new tag]         2.0.0 -> 2.0.0
 * [new tag]         v1.0 -> v1.0
 * [new tag]         v1.1 -> v1.1
 ! [remote rejected] refs/meta/config (cannot delete project configuration)

refs/meta/config is internal to Gerrit.

Result:

$ git ls-remote https://gerrit.wikimedia.org/r/p/wikibase/property-suggester-scripts
c89a56dded45bc92dd825998cc00038209563453	HEAD
4acc7f4d9913869fff954b4d3b2b7a08c7a48c89	refs/heads/classifyingProperties
4e23ad6a312102000dc92a837fb6a3c1e0574462	refs/heads/deploy
4c2900820583f1a7c96b0ec88508f9420d3dd5d0	refs/heads/entitysuggester
949d5244b35f25c90cb3262df63994970a37af04	refs/heads/evaluateClassifyingProperties
482140382fff9131dc36e71f0e8580a7920ba454	refs/heads/evaluator
c89a56dded45bc92dd825998cc00038209563453	refs/heads/master
fafa60c692edd5e9ee2a2ec95b49768c85133811	refs/heads/propertyImporter
cddd396d2b7916369e91f04ac93ba321fb3dd9bf	refs/heads/rank_properties_by_count_of_other_properties
a112151636a0ce51cd4b239d006c3a6d6ce3118c	refs/heads/valuesuggester
ba326e8d2a5e1c10d01adafe438fcdc2f33b834b	refs/heads/valuesuggestions
4fcb11f907846197a9a6186163d5ae9c383d57fe	refs/meta/config
50b3e134b5d229d07aab037d57f2dc7ca077c613	refs/pull/1/head
5ca01d838466f38a0a09080943b9955eb39e8e98	refs/pull/10/head
34f9af942fde092b7eb9aad800cdc6a5590626f0	refs/pull/11/head
ea237795252fa8b42987d6917735c0311d55103f	refs/pull/12/head
c80e1b3f9a22ec32bdb43f942304720a7b805d6b	refs/pull/13/head
39b5b702d116d3ab69a1bf36b74a8d023a1a844b	refs/pull/14/head
0efd0be32fff0616afcdbb7eba6942ee403334d8	refs/pull/15/head
fedc3d46c249d7c68278882c1c41e3702697d95d	refs/pull/16/head
37f9ecb6556774edbcc02f39a5f3dad84a52948c	refs/pull/17/head
02ad569fbf364d25bf2f29c7b6f44152e78f14ed	refs/pull/18/head
c5705ecb007bb49a4d20ba66e43b50664c0ff099	refs/pull/19/head
4ceb8b851a916f426f7dd646ad88c1c2bf979844	refs/pull/2/head
6fc5610f3e0383d676c0abde20dcee7029274723	refs/pull/20/head
5d883ac2ccbc8c2cdec472f6dd547399787ea974	refs/pull/21/head
8e82afd1ed496167a74804af3d3aaf7f6ae10635	refs/pull/22/head
6109717e2268bf3cd6c6f50e6a736802fa8bb085	refs/pull/23/head
27421c6a6a3ea1aa133e865beb634ab7a006413e	refs/pull/24/head
cab55f72b78840b169cc347a38efa6fe14990f49	refs/pull/25/head
cbc64cb37503196a7fa7d660ce1e8f92ee9ceb1f	refs/pull/26/head
325d74a3bba80f770efd33398d7148453f4bafd6	refs/pull/27/head
62cf0ab217cfd545d513963583aea2d7474c66f4	refs/pull/28/head
16b8025c093f85ce221636e8632e8bc970069a01	refs/pull/29/head
bc79fdf28785ceb6ded79f2422534f8617a6dbab	refs/pull/3/head
c4e1d70cb8205aa28e09e75655b4438768706fa1	refs/pull/30/head
b98f61f2863b744d0c2c7276700ab991f7fdd48d	refs/pull/31/head
482140382fff9131dc36e71f0e8580a7920ba454	refs/pull/4/head
e4917c17a2e72d95a40fb5f7ea0703130a99a434	refs/pull/4/merge
535c0ec9d9efd5027870b7e5573a4a18ceae6625	refs/pull/5/head
256312c5d3f462a584478bb8547da27f475ec845	refs/pull/6/head
d74491b16bda21ad6c5e9489cff699826d18d531	refs/pull/7/head
d2c58d995ba4bfd0c5c19108a307b11354162a15	refs/pull/7/merge
a44a9d80e9b59f895427b0b05ff7c536e64d0488	refs/pull/8/head
6e4f56ffd7c70e66138da6ea1d5ba585d1f04b60	refs/pull/9/head
c95c4c58d4145394fc6be6d0c5c895bc14bab155	refs/tags/1.2
6073ae593580aa150fdd9dbe3edf7f439b38fa8b	refs/tags/2.0.0
d74491b16bda21ad6c5e9489cff699826d18d531	refs/tags/v1.0
4c2900820583f1a7c96b0ec88508f9420d3dd5d0	refs/tags/v1.1